Reverses the set in-place

- « Ds\Set::remove

- Ds\Set::reversed »

- PHP Manual
- Ds\Set
- Reverses the set in-place

# Ds\Set::reverse

(PECL ds >= 1.0.0)

Ds\Set::reverse — Reverses the set in-place

### Description

public Ds\Set::reverse(): void

Reverses the set in-place.

### Parameters

This function has no parameters.

### Return Values

No value is returned.

### Examples

Example #1 Ds\Set::reverse() example

    <?php
    $set = new \Ds\Set(["a", "b", "c"]);
    $set->reverse();

    print_r($set);
    ?>

The above example will output something similar to:

    Ds\Set Object
    (
        [0] => c
        [1] => b
        [2] => a
    )